Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.extractor
Class SimpleXmlExtractor

    java.lang.Object
      org.apache.slide.extractor.AbstractPropertyExtractor
          org.apache.slide.extractor.SimpleXmlExtractor

All Implemented Interfaces:
  Configurable, Extractor, PropertyExtractor

public class SimpleXmlExtractor
extends AbstractPropertyExtractor
implements Configurable

The SimpleXmlExtractor class

Nested Class Summary
`protected static class` | `SimpleXmlExtractor.Instruction`

Field Summary
`protected java.util.List` | `instructions`

Constructor Summary
`SimpleXmlExtractor(java.lang.String uri, java.lang.String contentType, java.lang.String namespace)`

Method Summary
`protected void` | `addInstruction(SimpleXmlExtractor.Instruction instruction)`
`void` | `configure(Configuration configuration)`
`protected SimpleXmlExtractor.Instruction` | `createInstruction(Configuration instruction)`
`java.util.Map` | `extract(java.io.InputStream content)` Will be called before content and properties are stored ?Gets extracted property value from the resource, for example "author" ?for a word doc, ...
`protected java.lang.Object` | `filter(java.util.List nodeList, SimpleXmlExtractor.Instruction instruction)` Allow subclasses to apply filtering to property values before they are written.

Methods inherited from class org.apache.slide.extractor.AbstractPropertyExtractor
`getContentType, getNamespace, getUri`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instructions

    protected java.util.List instructions

Constructor Detail

### SimpleXmlExtractor

    public SimpleXmlExtractor(java.lang.String uri,
                              java.lang.String contentType,
                              java.lang.String namespace)

Method Detail

### extract

    public java.util.Map extract(java.io.InputStream content)
                          throws ExtractorException

  Description copied from interface: `PropertyExtractor`
  Will be called before content and properties are stored ?Gets extracted property value from the resource, for example "author" ?for a word doc, ...

  Specified by:
    `extract` in interface `PropertyExtractor`
  Specified by:
    `extract` in class `AbstractPropertyExtractor`
  Throws:
    `ExtractorException`

### configure

    public void configure(Configuration configuration)
                   throws ConfigurationException

  Specified by:
    `configure` in interface `Configurable`
  Throws:
    `ConfigurationException`

### filter

    protected java.lang.Object filter(java.util.List nodeList,
                                      SimpleXmlExtractor.Instruction instruction)
                               throws ExtractorException

  Allow subclasses to apply filtering to property values before they are written. Returning null signals that the extractor ignors this value.

  Returns:
    the property value to be set, `null if to be ignored.`
  Throws:
    `ExtractorException`

### addInstruction

    protected void addInstruction(SimpleXmlExtractor.Instruction instruction)

### createInstruction

    protected SimpleXmlExtractor.Instruction createInstruction(Configuration instruction)
                                                        throws ConfigurationException

  Throws:
    `ConfigurationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD